Summary:        A comprehensive, portable cryptographic toolkit
Name:           libtomcrypt
Version:        1.18.2
Release:        7%{?dist}
License:        Public Domain or WTFPL
URL:            http://www.libtom.net
Source0:        https://github.com/libtom/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

# Fix CVE-2019-17362
patch0001:      https://github.com/libtom/libtomcrypt/pull/508.patch

BuildRequires:  libtommath-devel libtool

%description
A comprehensive, modular and portable cryptographic toolkit that provides developers with a vast
array of well known published block ciphers, one-way hash functions, chaining modes, pseudo-random
number generators, public key cryptography and a plethora of other routines.

Designed from the ground up to be very simple to use. It has a modular and standard API that allows
new ciphers, hashes and PRNGs to be added or removed without change to the overall end application.
It features easy to use functions and a complete user manual which has many source snippet examples.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for developing applications that use
%{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
export PREFIX="%{_prefix}"
export INCPATH="%{_includedir}"
export LIBPATH="%{_libdir}"
export EXTRALIBS="-ltommath"
export CFLAGS="%{build_cflags} -DLTM_DESC -DUSE_LTM"
%make_build V=1 -f makefile.shared library
%make_build V=1 -f makefile.shared test

%install
%make_install INSTALL_OPTS="-m 755" INCPATH="%{_includedir}" LIBPATH="%{_libdir}" -f makefile.shared

find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete

sed -i \
    -e 's|^prefix=.*|prefix=%{_prefix}|g' \
    -e 's|^libdir=.*|libdir=${prefix}/%{_lib}|g' \
    %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

%check
./test

%files
%license LICENSE
%{_libdir}/*.so.*

%files devel
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.18.2-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.18.2-6
- Rebuilt for loongarch release

* Fri Dec 29 2023 Miaojun Dong <zoedong@tencent.com> - 1.18.2-5
- Fix CVE-2019-17362

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.18.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.18.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.18.2-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 9 2023 Shuo Wang <abushwang@tencent.com> - 1.18.2-1
- initial build
